Bug 702957 - Review Request: pclock - WindowMaker dockapp which displays an analog clock
Summary: Review Request: pclock - WindowMaker dockapp which displays an analog clock
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-08 17:01 UTC by Mario Blättermann
Modified: 2011-08-28 05:36 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-26 19:10:04 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2011-05-08 17:01:40 UTC
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/pclock.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/pclock-0.13.1-1.fc14.src.rpm
Description:
pclock is a simple analog clock program designed primarily to run under the
Window Maker window manager. Any 64x64 pixmap may be used as a background,
including tiles.
One current limitation is that the clock hands are drawn within the mask of
the background XPM file.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3058358

Comment 1 Martin Gieseking 2011-05-09 07:32:47 UTC
Mario, here are some notes on your package:

- Remove the empty folder %{_datadir}/%{name}-%{version}/src from the package.

- I suggest to move the examples to %{_datadir}/%{name}. The version number is
  not required here. 

- You probably also want to patch the start scripts with the correct path to 
  the pclock binary. Currently, they don't work.

- The app only works properly on my system if switch -w is given. Otherwise, I
  get a black window. Maybe -w should also be added to the start scripts.

- Drop the asterisk from %{_datadir}/%{name}-%{version}/* for proper directory
  ownership.

Comment 2 Mario Blättermann 2011-05-09 18:59:28 UTC
(In reply to comment #1)
> - The app only works properly on my system if switch -w is given. Otherwise, I
>   get a black window. Maybe -w should also be added to the start scripts.

The switch -w is common to almost all dockapps. These applets are intended to be running in a dock rather than a window. And the docks (in Afterstep, Blackbox, Fluxbox, Openbox and Windowmaker) doesn't behave identically. Sometimes the switch is needed, sometimes not. That's why I wouldn't add -w generally. In my Fluxbox dock (named "slit" here) the switch is not needed for pclock, but wmnet needs it.

Comment 3 Mario Blättermann 2011-06-08 12:56:59 UTC
(In reply to comment #1)
> Mario, here are some notes on your package:
> 
> - Remove the empty folder %{_datadir}/%{name}-%{version}/src from the package.
> 
Done.

> - I suggest to move the examples to %{_datadir}/%{name}. The version number is
>   not required here. 
>
Is there any advantage to do so? Anyway, done.

> - You probably also want to patch the start scripts with the correct path to 
>   the pclock binary. Currently, they don't work.
> 
Patch has applied.

> - The app only works properly on my system if switch -w is given. Otherwise, I
>   get a black window. Maybe -w should also be added to the start scripts.
> 
See comment #2.

> - Drop the asterisk from %{_datadir}/%{name}-%{version}/* for proper directory
>   ownership.
Done.


Updated files:

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/pclock.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/pclock-0.13.1-2.fc14.src.rpm

Comment 5 Iain Arnell 2011-08-14 12:04:49 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3271907

Comment 6 Mario Blättermann 2011-08-14 12:14:06 UTC
(In reply to comment #4)
> I assume you really mean
> 
> SRPM URL:
> http://mariobl.fedorapeople.org/Review/SRPMS/pclock-0.13.1-2.fc15.src.rpm

Yes, of course. Sorry for the typo. It's the result of drag-and-drop and not have a look again what happens...

Comment 7 Iain Arnell 2011-08-14 12:17:58 UTC
pclock-demopath.diff needs to be updated to reference the unversioned /usr/share/pclock directory.

Otherwise, it's another clean simple package. The rpmlint warnings can be ignored, and there's not much you can reasonably do about the FSF address "error" as upstream seems to have gone.


koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3271907

Spec looks sane, clean and consistent; license is correct (GPLv2+).

Source tarballs match upstream (sha1sum):
212b8b6a05d76e70ff34fb3bd3e39ed991e2c7e1 pclock-0.13.1.tgz
212b8b6a05d76e70ff34fb3bd3e39ed991e2c7e1 pclock-0.13.1.tgz.srpm

Final provides / requires are sane:

======> pclock-0.13.1-2.fc17.src.rpm <======
====> rpmlint
pclock.src: I: enchant-dictionary-not-found de
pclock.src: W: strange-permission pclock-0.13.1.tgz 0755L
pclock.src:64: W: macro-in-%changelog %{_datadir}
pclock.src:64: W: macro-in-%changelog %{name}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
====> spelling
pclock.src: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
pclock.src: W: spelling-error %description -l en_US pixmap -> pix map, pix-map, mapping
====> provides
====> requires
libXext-devel  
libXpm-devel  
====> obsoletes
====> conflicts

======> pclock-0.13.1-2.fc17.x86_64.rpm <======
====> rpmlint
pclock.x86_64: I: enchant-dictionary-not-found de
pclock.x86_64: E: incorrect-fsf-address /usr/share/doc/pclock-0.13.1/COPYING
pclock.x86_64: W: no-manual-page-for-binary pclock
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
====> spelling
pclock.x86_64: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
pclock.x86_64: W: spelling-error %description -l en_US pixmap -> pix map, pix-map, mapping
====> provides
pclock = 0.13.1-2.fc17
pclock(x86-64) = 0.13.1-2.fc17
====> requires
/bin/sh  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libm.so.6()(64bit)  
libm.so.6(GLIBC_2.2.5)(64bit)  
libX11.so.6()(64bit)  
libXext.so.6()(64bit)  
libXpm.so.4()(64bit)  
rtld(GNU_HASH)  
====> obsoletes
====> conflicts

======> pclock-debuginfo-0.13.1-2.fc17.x86_64.rpm <======
====> rpmlint
pclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pclock-0.13.1/src/Main.c
pclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pclock-0.13.1/src/getopt.h
pclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pclock-0.13.1/src/Graphics.c
pclock-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/pclock-0.13.1/src/PClock.h
1 packages and 0 specfiles checked; 4 errors, 0 warnings.
====> provides
pclock-debuginfo = 0.13.1-2.fc17
pclock-debuginfo(x86-64) = 0.13.1-2.fc17
====> requires
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): pclock-0.13.1-2.fc17.x86_64.rpm pclock-debuginfo-0.13.1-2.fc17.x86_64.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package          Arch   Version       Repository                          Size
================================================================================
Installing:
 pclock           x86_64 0.13.1-2.fc17 /pclock-0.13.1-2.fc17.x86_64       134 k
 pclock-debuginfo x86_64 0.13.1-2.fc17 /pclock-debuginfo-0.13.1-2.fc17.x86_64
                                                                           79 k
Installing for dependencies:
 libX11           x86_64 1.4.4-1.fc17  fedora                             581 k
 libX11-common    noarch 1.4.4-1.fc17  fedora                             174 k
 libXau           x86_64 1.0.6-2.fc15  fedora                              24 k
 libXext          x86_64 1.2.0-2.fc15  fedora                              33 k
 libXpm           x86_64 3.5.8-3.fc15  fedora                              58 k
 libxcb           x86_64 1.7-3.fc16    fedora                             100 k

Transaction Summary
================================================================================
Install       8 Package(s)

Total size: 1.2 M
Installed size: 1.6 M

Installed:
  pclock.x86_64 0:0.13.1-2.fc17     pclock-debuginfo.x86_64 0:0.13.1-2.fc17    

Dependency Installed:
  libX11.x86_64 0:1.4.4-1.fc17        libX11-common.noarch 0:1.4.4-1.fc17       
  libXau.x86_64 0:1.0.6-2.fc15        libXext.x86_64 0:1.2.0-2.fc15             
  libXpm.x86_64 0:3.5.8-3.fc15        libxcb.x86_64 0:1.7-3.fc16                


State Changed: unlock buildroot
State Changed: end

Comment 8 Mario Blättermann 2011-08-14 12:36:41 UTC
(In reply to comment #7)
> pclock-demopath.diff needs to be updated to reference the unversioned
> /usr/share/pclock directory.

Done. New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/pclock.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/pclock-0.13.1-3.fc15.src.rpm

Comment 9 Iain Arnell 2011-08-14 12:49:41 UTC
Yep, that's better. APPROVED.

Comment 10 Mario Blättermann 2011-08-14 13:05:26 UTC
New Package SCM Request
=======================
Package Name: pclock
Short Description: WindowMaker dockapp which displays an analog clock
Owners: mariobl
Branches: f15 f16

Comment 11 Gwyn Ciesla 2011-08-16 12:12:19 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-08-16 18:09:54 UTC
pclock-0.13.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pclock-0.13.1-3.fc16

Comment 13 Fedora Update System 2011-08-16 18:10:03 UTC
pclock-0.13.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pclock-0.13.1-3.fc15

Comment 14 Fedora Update System 2011-08-17 01:16:44 UTC
pclock-0.13.1-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 15 Fedora Update System 2011-08-26 19:09:58 UTC
pclock-0.13.1-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-08-28 05:36:10 UTC
pclock-0.13.1-3.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.